Debian-Sicherheitsankündigung

DSA-532-2 libapache-mod-ssl -- Mehrere Verwundbarkeiten

Datum des Berichts:
27. Jul 2004
Betroffene Pakete:
libapache-mod-ssl
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2004-0488, CVE-2004-0700.
Weitere Informationen:

Zwei Verwundbarkeiten wurden in libapache-mod-ssl entdeckt:

  • CAN-2004-0488

    Wenn mod_ssl so konfiguriert ist, der ausgebenden CA zu vertrauen, ermöglicht ein Stack-basierter Pufferüberlauf in der Funktion ssl_util_uuencode_binary in ssl_util.c für Apache mod_ssl entfernten Angreifern, beliebigen Code über ein Client-Zertifikat mit einem langen Betreff-DN auszuführen.

  • CAN-2004-0700

    Eine Format-String-Verwundbarkeit in der Funktion ssl_log in ssl_engine_log.c in mod_ssl 2.8.19 für Apache 1.3.31 ermöglicht entfernten Angreifern, beliebige Nachrichten über Format-String-Befehle in bestimmten Log-Nachrichten von HTTPS auszuführen.

Für die aktuelle Stable-Distribution (Woody) wurden diese Probleme in Version 2.8.9-2.4 behoben.

Für die Unstable-Distribution (Sid) wurde CAN-2004-0488 in Version 2.8.18 behoben; CAN-2004-0700 wird bald behoben sein.

Wir empfehlen Ihnen, Ihr libapache-mod-ssl-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.0 (woody)

Quellcode:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4.dsc
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4.diff.gz
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9.orig.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl-doc_2.8.9-2.4_all.deb
ARM:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/liba/libapache-mod-ssl/libapache-mod-ssl_2.8.9-2.4_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.

MD5-Prüfsummen der aufgezählten Dateien stehen in der überarbeiteten Sicherheitsankündigung zur Verfügung.